package main

import (
	"fmt"

	"github.com/spf13/viper"
)

func main() {
	// 直接指定完整文件路径（避免和其他 config.* 文件冲突）
	viper.SetConfigFile("./myconfig.toml")

	if err := viper.ReadInConfig(); err != nil {
		panic(err)
	}

	// 打印实际读取的配置文件
	fmt.Printf("Using config file: %s\n\n", viper.ConfigFileUsed())

	fmt.Printf("App Name: %s\n", viper.GetString("app.name"))
	fmt.Printf("App Port: %d\n", viper.GetInt("app.port"))
}
